Package org.linphone.core

# Interface MessageWaitingIndicationSummary

public interface MessageWaitingIndicationSummary
Object representing the summary for a context in a Message Waiting Indication.

## Method Summary

Modifier and Type
Method
Description
`MessageWaitingIndication.ContextClass`
`getContextClass()`
Get the context class of the message waiting indication summary.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`int`
`getNbNew()`
Get the number of new messages.
`int`
`getNbNewUrgent()`
Get the number of new urgent messages.
`int`
`getNbOld()`
Get the number of old messages.
`int`
`getNbOldUrgent()`
Get the number of old urgent messages.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`String`
`toString()`

## Method Details

### getContextClass

MessageWaitingIndication.ContextClass getContextClass()
Get the context class of the message waiting indication summary.

Returns:
  The
  invalid reference

      MessageWaitingIndication#ContextClass

  .

### getNbNew

int getNbNew()
Get the number of new messages.

Returns:
  The number of new messages.

### getNbNewUrgent

int getNbNewUrgent()
Get the number of new urgent messages.

Returns:
  The number of new urgent messages.

### getNbOld

int getNbOld()
Get the number of old messages.

Returns:
  The number of old messages.

### getNbOldUrgent

int getNbOldUrgent()
Get the number of old urgent messages.

Returns:
  The number of old urgent messages.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`